
public abstract class Class171 implements Interface45 {

   public abstract void method2917(int var1, int var2, int var3);

   public abstract void method2918(int var1, int var2, int var3, int var4);

   public abstract void method2919(int[] var1);

   public final void method2920(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9) {
      this.method2928(var1, var2, var3, var4, var5, var6, var7, var8, var9, 1);
   }

   public abstract int method94();

   public abstract int method2921();

   public final void method2922(float var1, float var2, float var3, float var4, int var5, int var6, Class496 var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2984(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2923(float var1, float var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public abstract void method2924(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method2925(int var1, int var2, int var3);

   public final void method2926(int var1, int var2) {
      this.method2927(var1, var2, 1, -1, 1);
   }

   public abstract void method2927(int var1, int var2, int var3, int var4, int var5);

   abstract void method2928(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9, int var10);

   public final void method2929(int var1, int var2, int var3, int var4) {
      this.method2931(var1, var2, var3, var4, 1, -1, 1, 1);
   }

   public final void method2930(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2931(var1, var2, var3, var4, var5, var6, var7, 1);
   }

   abstract void method2931(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8);

   public final void method2932(float var1, float var2, float var3, float var4, int var5, int var6, Class496 var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2984(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2933(float var1, float var2, int var3, int var4) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, 1, -1, 1);
   }

   public final void method2934(float var1, float var2, int var3, int var4) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, 1, -1, 1);
   }

   public final void method2935(float var1, float var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public final void method2936(int var1, int var2, int var3, int var4) {
      this.method2999(var1, var2, var3, var4, 1, -1, 1);
   }

   public final void method2937(float var1, float var2, int var3, int var4, Class496 var5, int var6, int var7) {
      this.method2922(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public abstract void method2938(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public final void method2939(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9) {
      this.method2928(var1, var2, var3, var4, var5, var6, var7, var8, var9, 1);
   }

   public abstract void method2940(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method2941(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   abstract void method2942(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10);

   public abstract int method2943();

   public abstract int method2944();

   public abstract Interface7 method2945();

   public abstract void method2946(int var1, int var2, int var3);

   public abstract void method2947(int var1, int var2, int var3);

   public abstract Interface7 method2948();

   public abstract void method2949(int var1, int var2, int var3);

   public abstract Interface7 method2950();

   public abstract int method244();

   public abstract Interface7 method2951();

   public abstract void method2952(int var1, int var2, int var3, int var4, int var5);

   public abstract int method2953();

   abstract void method2954(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8);

   public abstract void method2955(int var1, int var2, int var3, int var4);

   public abstract void method2956(int var1, int var2, int var3, int var4);

   public abstract void method2957(int var1, int var2, int var3, int var4);

   public abstract void method2958(int[] var1);

   public abstract void method2959(int[] var1);

   public abstract int method2960();

   public abstract int method2961();

   public abstract void method2962(int var1, int var2, int var3);

   public abstract int method2963();

   public abstract int method2964();

   public abstract int method2965();

   public abstract int method2966();

   public abstract void method2967(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public abstract void method2968(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract int method2969();

   public abstract void method2970(int var1, int var2, Class496 var3, int var4, int var5);

   public final void method2971(float var1, float var2, int var3, int var4) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, 1, -1, 1);
   }

   public final void method2972(int var1, int var2, int var3, int var4) {
      this.method2999(var1, var2, var3, var4, 1, -1, 1);
   }

   abstract void method2973(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10);

   abstract void method2974(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10);

   abstract void method2975(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9, int var10);

   public final void method2976(float var1, float var2, float var3, float var4, int var5, int var6, Class496 var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2984(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2977(int var1, int var2, int var3, int var4) {
      this.method2931(var1, var2, var3, var4, 1, -1, 1, 1);
   }

   public final void method2978(int var1, int var2, int var3, int var4) {
      this.method2931(var1, var2, var3, var4, 1, -1, 1, 1);
   }

   public final void method2979(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2931(var1, var2, var3, var4, var5, var6, var7, 1);
   }

   public abstract int method243();

   public final void method2980(int var1, int var2, int var3, int var4) {
      this.method2999(var1, var2, var3, var4, 1, -1, 1);
   }

   public abstract void method2981(int var1, int var2, Class496 var3, int var4, int var5);

   final void method2982(float var1, float var2, float var3, float var4, int var5, int var6, int var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2920(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2983(float var1, float var2, int var3, int var4) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, 1, -1, 1);
   }

   final void method2984(float var1, float var2, float var3, float var4, float var5, float var6, Class496 var7, int var8, int var9) {
      this.method2942(var1, var2, var3, var4, var5, var6, 1, var7, var8, var9);
   }

   public final void method2985(float var1, float var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public final void method2986(float var1, float var2, int var3, int var4, int var5, int var6, int var7) {
      this.method2982(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   final void method2987(float var1, float var2, float var3, float var4, int var5, int var6, int var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2920(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   final void method2988(float var1, float var2, float var3, float var4, int var5, int var6, int var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2920(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   abstract void method2989(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10);

   public final void method2990(float var1, float var2, int var3, int var4, Class496 var5, int var6, int var7) {
      this.method2922(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public final void method2991(float var1, float var2, int var3, int var4, Class496 var5, int var6, int var7) {
      this.method2922(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public final void method2992(float var1, float var2, int var3, int var4, Class496 var5, int var6, int var7) {
      this.method2922(var1, var2, (float)this.method94() / 2.0F, (float)this.method2969() / 2.0F, var3, var4, var5, var6, var7);
   }

   public final void method2993(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9) {
      this.method2928(var1, var2, var3, var4, var5, var6, var7, var8, var9, 1);
   }

   public final void method2994(int var1, int var2) {
      this.method2927(var1, var2, 1, -1, 1);
   }

   public final void method2995(float var1, float var2, float var3, float var4, int var5, int var6, Class496 var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2984(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2996(float var1, float var2, float var3, float var4, int var5, int var6, Class496 var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2984(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   final void method2997(float var1, float var2, float var3, float var4, int var5, int var6, int var7, int var8, int var9) {
      if(var5 != 0) {
         double var10 = (double)(var6 & '\uffff') * 9.587379924285257E-5D;
         float var12 = (float)Math.sin(var10) * (float)var5;
         float var13 = (float)Math.cos(var10) * (float)var5;
         float var14 = (-var3 * var13 + -var4 * var12) / 4096.0F + var1;
         float var15 = (-(-var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var16 = (((float)this.method94() - var3) * var13 + -var4 * var12) / 4096.0F + var1;
         float var17 = (-((float)this.method94() - var3) * var12 + -var4 * var13) / 4096.0F + var2;
         float var18 = (-var3 * var13 + ((float)this.method2969() - var4) * var12) / 4096.0F + var1;
         float var19 = (-(-var3) * var12 + ((float)this.method2969() - var4) * var13) / 4096.0F + var2;
         this.method2920(var14, var15, var16, var17, var18, var19, var7, var8, var9);
      }
   }

   public final void method2998(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9) {
      this.method2928(var1, var2, var3, var4, var5, var6, var7, var8, var9, 1);
   }

   public abstract void method2999(int var1, int var2, int var3, int var4, int var5, int var6, int var7);
}
